Bug 223922 - devel/boost-all: Update to 1.66.0
Summary: devel/boost-all: Update to 1.66.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-office mailing list
URL: http://www.boost.org/users/history/ve...
Keywords: patch
Depends on: 224183 220714 224060 224086 224087 224088 224089 224090 224091 224093 224094 224123 224124 224129 224130 224131 224132 224134 224177 224179 224180 224181 224184 224185 224186 224187 224821 224827
Blocks: 227427
  Show dependency treegraph
 
Reported: 2017-11-27 22:17 UTC by Jan Beich
Modified: 2018-04-18 14:33 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (office)
jbeich: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-11-27 22:17:09 UTC
See review D13279 for the patch. Each update breaks ABI.
Comment 1 Jan Beich freebsd_committer 2017-11-27 22:31:48 UTC
I'd like to notify maintainers in advance and maybe mark some ports BROKEN by release. Delaying the update is undesirable due to risk of ending up like bug 199601.

### /usr/local/etc/poudriere.d/PR223922-make.conf ###
OPTIONS_SET                     += BOOST
audio_pms_SET                   += REGEX
databases_mariadb100-server_SET += OQGRAPH
databases_mariadb101-server_SET += OQGRAPH
databases_mariadb102-server_SET += OQGRAPH
devel_blitz_SET                 += SERIALIZATION
graphics_vigra_SET              += NUMPY
science_tfel_SET                += PYTHON
textproc_kiss-templates_SET     += TEST
www_nghttp2_SET                 += ASIO
Comment 2 Antoine Brodin freebsd_committer 2017-12-03 07:32:39 UTC
Exp-run results on 10.3 i386:

http://package23.nyi.freebsd.org/build.html?mastername=103i386-default-PR223922&build=2017-12-02_11h06m37s

New failures on 10.3 i386:

+ {"origin"=>"audio/mumble", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/uhd", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"comms/usrp", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/cpprestsdk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/msp430-debug-stack", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/pokerth", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/wesnoth", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"graphics/enblend", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"graphics/lprof-devel", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/saga", "phase"=>"package", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/bitcoin", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/bitcoin-daemon", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/bitcoin-utils", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/dogecoin", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"net-p2p/libtorrent-rasterbar", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/litecoin", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/litecoin-daemon", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/litecoin-utils", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/namecoin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/namecoin-daemon", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/twister", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"net-p2p/zetacoin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/zetacoin-nox11", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/kea", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/orthanc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/i2pd", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"www/domoticz", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/wt", "phase"=>"build", "errortype"=>"???"}

New failure logs on 10.3 i386:

http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/mumble-1.2.19_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/uhd-3.10.1.1_4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/usrp-3.4.3_15.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/cpprestsdk-2.9.1_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/msp430-debug-stack-3.10.001.000_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/pokerth-1.1.1_17.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/wesnoth-1.12.6_7,1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/enblend-4.1.4_14.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/lprof-devel-20080514_13.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/saga-4.1.0_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/bitcoin-0.15.1_1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/bitcoin-daemon-0.15.1_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/bitcoin-utils-0.15.1_1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/dogecoin-1.10.0.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/libtorrent-rasterbar-1.1.4_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/litecoin-0.14.2_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/litecoin-daemon-0.14.2_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/litecoin-utils-0.14.2_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/namecoin-0.3.80_13,1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/namecoin-daemon-0.3.80_13,1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/twister-core-0.9.34_9,1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/zetacoin-0.11.2.3_12.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/zetacoin-nox11-0.11.2.3_12.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/kea-1.2.0_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/orthanc-1.3.0.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/i2pd-2.16.0.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/domoticz-3.8153_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/wt-3.3.7_5.log
Comment 3 Antoine Brodin freebsd_committer 2017-12-03 07:35:30 UTC
Exp-run results on 10.3 amd64:

http://package22.nyi.freebsd.org/build.html?mastername=103amd64-default-PR223922&build=2017-12-02_11h06m39s

New failures on 10.3 amd64:

+ {"origin"=>"audio/mumble", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/uhd", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"comms/usrp", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/mariadb101-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mariadb102-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mongodb34", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"databases/mongodb34-rocks", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/cpprestsdk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/msp430-debug-stack", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/pokerth", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/wesnoth", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"graphics/enblend", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"graphics/lprof-devel", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/saga", "phase"=>"package", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/bitcoin", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/bitcoin-daemon", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/bitcoin-utils", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/dogecoin", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"net-p2p/libtorrent-rasterbar", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/litecoin", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/litecoin-daemon", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/litecoin-utils", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/namecoin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/namecoin-daemon", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/twister", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"net-p2p/zetacoin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/zetacoin-nox11", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/kea", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/orthanc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/i2pd", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"sysutils/osquery", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/domoticz", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/wt", "phase"=>"build", "errortype"=>"clang"}

New failures logs on 10.3 amd64:

http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/mumble-1.2.19_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/uhd-3.10.1.1_4.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/usrp-3.4.3_15.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/mariadb101-server-10.1.29.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/mariadb102-server-10.2.10.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/mongodb34-3.4.9.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/mongodb34-rocks-3.4.6_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/cpprestsdk-2.9.1_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/msp430-debug-stack-3.10.001.000_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/pokerth-1.1.1_17.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/wesnoth-1.12.6_7,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/enblend-4.1.4_14.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/lprof-devel-20080514_13.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/saga-4.1.0_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/bitcoin-0.15.1_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/bitcoin-daemon-0.15.1_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/bitcoin-utils-0.15.1_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/dogecoin-1.10.0.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/libtorrent-rasterbar-1.1.4_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/litecoin-0.14.2_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/litecoin-daemon-0.14.2_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/litecoin-utils-0.14.2_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/namecoin-0.3.80_13,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/namecoin-daemon-0.3.80_13,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/twister-core-0.9.34_9,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/zetacoin-0.11.2.3_12.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/zetacoin-nox11-0.11.2.3_12.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/kea-1.2.0_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/orthanc-1.3.0.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/i2pd-2.16.0.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/osquery-2.10.2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/domoticz-3.8153_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/wt-3.3.7_5.log
Comment 4 Antoine Brodin freebsd_committer 2017-12-04 06:42:12 UTC
Exp-run results on 11.1 i386:

http://package23.nyi.freebsd.org/build.html?mastername=111i386-default-PR223922&build=2017-12-03_09h31m14s

New failures on 11.1 i386:

+ {"origin"=>"audio/mumble", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/uhd", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/RStudio", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/cpprestsdk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/msp430-debug-stack", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/pokerth", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/wesnoth", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"net-p2p/bitcoin", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/bitcoin-daemon", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/bitcoin-utils", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/dogecoin", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"net-p2p/libtorrent-rasterbar", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/litecoin", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/litecoin-daemon", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/litecoin-utils", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/namecoin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/namecoin-daemon", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/twister", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"net-p2p/zetacoin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/zetacoin-nox11", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/kea", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/orthanc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/i2pd", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"www/domoticz", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/wt", "phase"=>"build", "errortype"=>"clang"}

New failures logs on 11.1 i386:

http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/mumble-1.2.19_3.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/uhd-3.10.1.1_4.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/RStudio-1.1.385.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/cpprestsdk-2.9.1_3.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/msp430-debug-stack-3.10.001.000_3.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/pokerth-1.1.1_17.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/wesnoth-1.12.6_7,1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/bitcoin-0.15.1_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/bitcoin-daemon-0.15.1_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/bitcoin-utils-0.15.1_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/dogecoin-1.10.0.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/libtorrent-rasterbar-1.1.4_3.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/litecoin-0.14.2_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/litecoin-daemon-0.14.2_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/litecoin-utils-0.14.2_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/namecoin-0.3.80_13,1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/namecoin-daemon-0.3.80_13,1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/twister-core-0.9.34_9,1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/zetacoin-0.11.2.3_12.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/zetacoin-nox11-0.11.2.3_12.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/kea-1.2.0_3.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/orthanc-1.3.0.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/i2pd-2.16.0.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/domoticz-3.8153_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/wt-3.3.7_5.log
Comment 5 Antoine Brodin freebsd_committer 2017-12-04 06:46:55 UTC
Exp-run results on 11.1 amd64:

http://package22.nyi.freebsd.org/build.html?mastername=111amd64-default-PR223922&build=2017-12-03_09h31m05s

New failures on 11.1 amd64:

+ {"origin"=>"audio/mumble", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/uhd", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"comms/usrp", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/mariadb101-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mariadb102-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mongodb34", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"databases/mongodb34-rocks", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/RStudio", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/cpprestsdk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/msp430-debug-stack", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/pokerth", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/spring", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/wesnoth", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"net-p2p/bitcoin", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/bitcoin-daemon", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/bitcoin-utils", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/dogecoin", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"net-p2p/libtorrent-rasterbar", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/litecoin", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/litecoin-daemon", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/litecoin-utils", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/namecoin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/namecoin-daemon", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/twister", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"net-p2p/zetacoin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/zetacoin-nox11", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/ceph", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net/ceph-devel", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net/kea", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/orthanc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/i2pd", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"sysutils/osquery", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/domoticz", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/wt", "phase"=>"build", "errortype"=>"clang"}

New failures logs on 11.1 amd64:

http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/mumble-1.2.19_3.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/uhd-3.10.1.1_4.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/usrp-3.4.3_15.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/mariadb101-server-10.1.29.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/mariadb102-server-10.2.10.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/mongodb34-3.4.9.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/mongodb34-rocks-3.4.6_3.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/RStudio-1.1.385.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/cpprestsdk-2.9.1_3.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/msp430-debug-stack-3.10.001.000_3.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/pokerth-1.1.1_17.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/spring-98.0_9.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/wesnoth-1.12.6_7,1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/bitcoin-0.15.1_1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/bitcoin-daemon-0.15.1_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/bitcoin-utils-0.15.1_1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/dogecoin-1.10.0.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/libtorrent-rasterbar-1.1.4_3.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/litecoin-0.14.2_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/litecoin-daemon-0.14.2_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/litecoin-utils-0.14.2_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/namecoin-0.3.80_13,1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/namecoin-daemon-0.3.80_13,1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/twister-core-0.9.34_9,1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/zetacoin-0.11.2.3_12.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/zetacoin-nox11-0.11.2.3_12.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/ceph-v12.2.0_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/ceph-devel-w.v2017.08.15.1_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/kea-1.2.0_3.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/orthanc-1.3.0.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/i2pd-2.16.0.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/osquery-2.10.2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/domoticz-3.8153_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/wt-3.3.7_5.log
Comment 6 Jan Beich freebsd_committer 2017-12-08 17:12:15 UTC
According to the calendar[1] Boost 1.66 release is scheduled on 2017-12-13. However, we need bug 224185 fixed before deciding what to mark BROKEN. With not much time before 2018Q1 branches landing maybe delayed until 2018Q1 branches to avoid MFH churn.

[1] http://www.boost.org/development/index.html
Comment 7 Jan Beich freebsd_committer 2017-12-11 02:48:17 UTC
(In reply to Antoine Brodin from comment #2)
> + {"origin"=>"graphics/enblend", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"graphics/lprof-devel", "phase"=>"build", "errortype"=>"linker_error"}
> + {"origin"=>"math/saga", "phase"=>"package", "errortype"=>"bad_C++_code"}

These false positives are fixed via ports r455917.
Comment 8 Jan Beich freebsd_committer 2017-12-30 19:36:27 UTC
Antoine, can you queue an exp-run with patches from both review D13279 (this bug) + review D13662 (bug 224185 workaround) ?
Comment 9 Antoine Brodin freebsd_committer 2018-01-17 22:03:24 UTC
Exp-run results on 10.3 amd64:

http://package22.nyi.freebsd.org/build.html?mastername=103amd64-default-PR223922&build=2018-01-17_09h38m15s

New failures on 10.3 amd64:

+ {"origin"=>"comms/uhd", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"comms/usrp", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/mariadb101-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mariadb102-server", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mongodb34", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/cpprestsdk", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/wesnoth", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"net-p2p/dogecoin", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"net-p2p/libtorrent-rasterbar", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/namecoin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/namecoin-daemon", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/twister", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"net-p2p/zetacoin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/zetacoin-nox11", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/kea", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/orthanc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/domoticz", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/wt", "phase"=>"build", "errortype"=>"clang"}

New failure logs on 10.3 amd64:

http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/uhd-3.10.2.0.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/usrp-3.4.3_15.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/mariadb101-server-10.1.30.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/mariadb102-server-10.2.12.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/mongodb34-3.4.9.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/cpprestsdk-2.9.1_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/wesnoth-1.12.6_7,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/dogecoin-1.10.0_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/libtorrent-rasterbar-1.1.4_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/namecoin-0.3.80_14,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/namecoin-daemon-0.3.80_14,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/twister-core-0.9.34_9,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/zetacoin-0.11.2.3_13.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/zetacoin-nox11-0.11.2.3_13.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/kea-1.2.0_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/orthanc-1.3.0_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/domoticz-3.8153_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2018-01-17_09h38m15s/logs/wt-3.3.7_5.log
Comment 10 Jan Beich freebsd_committer 2018-01-18 04:00:31 UTC
(In reply to Antoine Brodin from comment #9)
Thanks. No new bustage, so I'll land shortly.
Comment 11 commit-hook freebsd_committer 2018-01-18 04:12:06 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jan 18 04:11:11 UTC 2018
New revision: 459315
URL: https://svnweb.freebsd.org/changeset/ports/459315

Log:
  devel/boost-*: update to 1.66.0

  Changes:	http://www.boost.org/users/history/version_1_66_0.html
  PR:		223922
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D13279

Changes:
  head/archivers/innoextract/Makefile
  head/archivers/tardy/Makefile
  head/astro/libkgeomap/Makefile
  head/astro/libosmium/Makefile
  head/audio/ardour/Makefile
  head/audio/ardour5/Makefile
  head/audio/clementine-player/Makefile
  head/audio/cpp-xmms2/Makefile
  head/audio/csound6/Makefile
  head/audio/mp3plot/Makefile
  head/audio/mumble/Makefile
  head/audio/murmur/Makefile
  head/audio/musicpd/Makefile
  head/audio/ncmpcpp/Makefile
  head/audio/patchage/Makefile
  head/audio/pms/Makefile
  head/audio/py-tagpy/Makefile
  head/audio/raul/Makefile
  head/audio/sc3-plugins/Makefile
  head/audio/sorcer-lv2/Makefile
  head/audio/supercollider/Makefile
  head/biology/canu/Makefile
  head/biology/seqan-apps/Makefile
  head/cad/freecad/Makefile
  head/cad/fritzing/Makefile
  head/cad/kicad/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/librecad/Makefile
  head/cad/linuxcnc-devel/Makefile
  head/cad/openscad/Makefile
  head/chinese/librime/Makefile
  head/comms/fldigi/Makefile
  head/comms/gnuradio/Makefile
  head/comms/gqrx/Makefile
  head/comms/gr-osmosdr/Makefile
  head/comms/uhd/Makefile
  head/comms/usrp/Makefile
  head/converters/osm2pgrouting/Makefile
  head/converters/osm2pgsql/Makefile
  head/databases/akonadi/Makefile
  head/databases/clickhouse/Makefile
  head/databases/galera/Makefile
  head/databases/grass7/Makefile
  head/databases/hamsterdb/Makefile
  head/databases/mariadb100-server/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb102-server/Makefile
  head/databases/mariadb55-server/Makefile
  head/databases/mongodb/Makefile
  head/databases/mongodb34/Makefile
  head/databases/mongodb34-rocks/Makefile
  head/databases/mysql-connector-c++/Makefile
  head/databases/pgrouting/Makefile
  head/databases/php5-pdo_cassandra/Makefile
  head/databases/sfcgal/Makefile
  head/databases/soci/Makefile
  head/databases/speedtables/Makefile
  head/databases/vsqlite/Makefile
  head/deskutils/easystroke/Makefile
  head/deskutils/gnote/Makefile
  head/deskutils/kdepim4/Makefile
  head/deskutils/kdepim4-runtime/Makefile
  head/deskutils/kdepimlibs4/Makefile
  head/deskutils/launchy/Makefile
  head/deskutils/pinot/Makefile
  head/devel/RStudio/Makefile
  head/devel/avro-cpp/Makefile
  head/devel/blitz/Makefile
  head/devel/boost-all/common.mk
  head/devel/boost-docs/distinfo
  head/devel/boost-docs/pkg-plist
  head/devel/boost-jam/distinfo
  head/devel/boost-libs/Makefile
  head/devel/boost-libs/distinfo
  head/devel/boost-libs/files/patch-tools_build_src_tools_clang-linux.jam
  head/devel/boost-libs/pkg-plist
  head/devel/boost-python-libs/distinfo
  head/devel/boost_build/Makefile
  head/devel/codeblocks/Makefile
  head/devel/codeblocks-devel/Makefile
  head/devel/cpp-hocon/Makefile
  head/devel/cpp-netlib/Makefile
  head/devel/cpprestsdk/Makefile
  head/devel/eblob/Makefile
  head/devel/edb/Makefile
  head/devel/gearmand/Makefile
  head/devel/gearmand-devel/Makefile
  head/devel/kdevplatform/Makefile
  head/devel/leatherman/Makefile
  head/devel/libarea/Makefile
  head/devel/libcutl/Makefile
  head/devel/libflatarray/Makefile
  head/devel/libftdi/Makefile
  head/devel/libftdi1/Makefile
  head/devel/libiqxmlrpc/Makefile
  head/devel/libkolab/Makefile
  head/devel/liblas/Makefile
  head/devel/libopkele/Makefile
  head/devel/liborcus/Makefile
  head/devel/log4cxx/Makefile
  head/devel/love07/Makefile
  head/devel/love08/Makefile
  head/devel/love5/Makefile
  head/devel/luabind/Makefile
  head/devel/mongo-cxx-driver/Makefile
  head/devel/monotone/Makefile
  head/devel/msp430-debug-stack/Makefile
  head/devel/py-pyopencl/Makefile
  head/devel/rlvm/Makefile
  head/devel/sdts++/Makefile
  head/devel/simgear/Makefile
  head/devel/smack/Makefile
  head/devel/srecord/Makefile
  head/devel/subcommander2/Makefile
  head/devel/synfig/Makefile
  head/devel/thrift-cpp/Makefile
  head/devel/uatraits/Makefile
  head/devel/umbrello/Makefile
  head/devel/vera++/Makefile
  head/devel/xmltooling/Makefile
  head/devel/yaml-cpp/Makefile
  head/devel/youcompleteme/Makefile
  head/dns/dnsdist/Makefile
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor40/Makefile
  head/editors/abiword/Makefile
  head/editors/calligra/Makefile
  head/editors/jucipp/Makefile
  head/editors/libreoffice/Makefile
  head/editors/madedit/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/pdfedit/Makefile
  head/editors/poedit/Makefile
  head/editors/xmlcopyeditor/Makefile
  head/emulators/citra/Makefile
  head/emulators/citra-qt5/Makefile
  head/emulators/mupen64plus-video-glide64mk2/Makefile
  head/finance/kmymoney-kde4/Makefile
  head/finance/ledger/Makefile
  head/finance/moneymanagerex/Makefile
  head/games/0ad/Makefile
  head/games/alephone/Makefile
  head/games/allacrost/Makefile
  head/games/arx-libertatis/Makefile
  head/games/asc/Makefile
  head/games/bastet/Makefile
  head/games/blobby/Makefile
  head/games/burrtools/Makefile
  head/games/easyrpg-player/Makefile
  head/games/fishsupper/Makefile
  head/games/flightgear/Makefile
  head/games/flyhard/Makefile
  head/games/frogatto/Makefile
  head/games/galaxyhack/Makefile
  head/games/glob2/Makefile
  head/games/lander/Makefile
  head/games/mkhexgrid/Makefile
  head/games/openclonk/Makefile
  head/games/openlierox/Makefile
  head/games/openmw/Makefile
  head/games/openyahtzee/Makefile
  head/games/pingus/Makefile
  head/games/pokerth/Makefile
  head/games/py-fife/Makefile
  head/games/scummvm-tools/Makefile
  head/games/spring/Makefile
  head/games/springlobby/Makefile
  head/games/stuntrally/Makefile
  head/games/supertux2/Makefile
  head/games/traingame/Makefile
  head/games/valyriatear/Makefile
  head/games/vamos/Makefile
  head/games/vegastrike/Makefile
  head/games/violetland/Makefile
  head/games/wesnoth/Makefile
  head/games/widelands/Makefile
  head/games/xptools/Makefile
  head/graphics/agave/Makefile
  head/graphics/appleseed/Makefile
  head/graphics/aqsis/Makefile
  head/graphics/blender/Makefile
  head/graphics/caffe/Makefile
  head/graphics/cegui/Makefile
  head/graphics/colmap/Makefile
  head/graphics/digikam-kde4/Makefile
  head/graphics/dspdfviewer/Makefile
  head/graphics/enblend/Makefile
  head/graphics/evolvotron/Makefile
  head/graphics/fracplanet/Makefile
  head/graphics/gnash/Makefile
  head/graphics/gource/Makefile
  head/graphics/gsculpt/Makefile
  head/graphics/hugin/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/kipi-plugin-gpssync/Makefile
  head/graphics/krita/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libetonyek01/Makefile
  head/graphics/libgltf/Makefile
  head/graphics/libopenraw/Makefile
  head/graphics/libzmf/Makefile
  head/graphics/luminance/Makefile
  head/graphics/luminance-qt5/Makefile
  head/graphics/luxrender/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/mitsuba/Makefile
  head/graphics/ogre3d/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/openshadinglanguage/Makefile
  head/graphics/panomatic/Makefile
  head/graphics/pcl-pointclouds/Makefile
  head/graphics/povray37/Makefile
  head/graphics/py-exiv2/Makefile
  head/graphics/scantailor/Makefile
  head/graphics/vigra/Makefile
  head/irc/ezbounce/Makefile
  head/lang/sdcc/Makefile
  head/lang/sdcc-devel/Makefile
  head/mail/libmapi/Makefile
  head/math/armadillo/Makefile
  head/math/aspcud/Makefile
  head/math/cadabra2/Makefile
  head/math/cgal/Makefile
  head/math/clblas/Makefile
  head/math/cryptominisat/Makefile
  head/math/dynare/Makefile
  head/math/fityk/Makefile
  head/math/freemat/Makefile
  head/math/kig/Makefile
  head/math/libmesh/Makefile
  head/math/liborigin/Makefile
  head/math/mosesdecoder/Makefile
  head/math/pdal/Makefile
  head/math/rocs/Makefile
  head/math/stp/Makefile
  head/math/ufc/Makefile
  head/math/vowpal_wabbit/Makefile
  head/misc/artikulate/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/bombono/Makefile
  head/multimedia/cclive/Makefile
  head/multimedia/flvtool++/Makefile
  head/multimedia/gstreamer-qt4/Makefile
  head/multimedia/gstreamer1-qt4/Makefile
  head/multimedia/gstreamer1-qt5/Makefile
  head/multimedia/miro/Makefile
  head/multimedia/mkvtoolnix/Makefile
  head/multimedia/oggvideotools/Makefile
  head/multimedia/omxplayer/Makefile
  head/multimedia/vdr-plugin-upnp/Makefile
  head/net/asio/Makefile
  head/net/ceph/Makefile
  head/net/ceph-devel/Makefile
  head/net/grive/Makefile
  head/net/grive2/Makefile
  head/net/kdenetwork4-strigi-analyzers/Makefile
  head/net/kea/Makefile
  head/net/kget/Makefile
  head/net/libcmis/Makefile
  head/net/pktanon/Makefile
  head/net/scribe/Makefile
  head/net/tcpflow/Makefile
  head/net/xorp/Makefile
  head/net-im/ekiga/Makefile
  head/net-im/licq/Makefile
  head/net-im/licq-icq/Makefile
  head/net-im/licq-jabber/Makefile
  head/net-im/licq-msn/Makefile
  head/net-im/licq-osd/Makefile
  head/net-im/licq-qt-gui/Makefile
  head/net-mgmt/fastnetmon/Makefile
  head/net-mgmt/icinga2/Makefile
  head/net-mgmt/metronome/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin-daemon/Makefile
  head/net-p2p/dogecoin/Makefile
  head/net-p2p/eiskaltdcpp-daemon/Makefile
  head/net-p2p/eiskaltdcpp-gtk/Makefile
  head/net-p2p/eiskaltdcpp-lib/Makefile
  head/net-p2p/eiskaltdcpp-qt/Makefile
  head/net-p2p/ktorrent/Makefile
  head/net-p2p/libktorrent/Makefile
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/linuxdcpp/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/monero-cli/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/qbittorrent/Makefile
  head/net-p2p/twister/Makefile
  head/net-p2p/zetacoin/Makefile
  head/print/libmspub01/Makefile
  head/print/libpagemaker/Makefile
  head/print/lyx/Makefile
  head/print/pdfcube/Makefile
  head/print/scribus/Makefile
  head/science/ALPSCore/Makefile
  head/science/avogadro/Makefile
  head/science/bddsolve/Makefile
  head/science/gromacs/Makefile
  head/science/iboview/Makefile
  head/science/libgeodecomp/Makefile
  head/science/libkml/Makefile
  head/science/orthanc/Makefile
  head/science/orthanc-dicomweb/Makefile
  head/science/orthanc-postgresql/Makefile
  head/science/orthanc-webviewer/Makefile
  head/science/pulseview/Makefile
  head/science/tfel/Makefile
  head/security/botan110/Makefile
  head/security/botan2/Makefile
  head/security/clamfs/Makefile
  head/security/i2pd/Makefile
  head/security/opensaml2/Makefile
  head/security/quantis/Makefile
  head/security/shibboleth2-sp/Makefile
  head/security/spass/Makefile
  head/security/trezord/Makefile
  head/sysutils/condor/Makefile
  head/sysutils/facter/Makefile
  head/sysutils/freefilesync/Makefile
  head/sysutils/glogg/Makefile
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/logstalgia/Makefile
  head/sysutils/ori/Makefile
  head/sysutils/osquery/Makefile
  head/sysutils/twmn/Makefile
  head/sysutils/usbtop/Makefile
  head/textproc/clucene/Makefile
  head/textproc/highlight/Makefile
  head/textproc/kenlm/Makefile
  head/textproc/kiss-templates/Makefile
  head/textproc/libabw/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libkolabxml/Makefile
  head/textproc/libmwaw03/Makefile
  head/textproc/libodfgen01/Makefile
  head/textproc/librevenge/Makefile
  head/textproc/libstaroffice/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/libwps/Makefile
  head/textproc/libwps03/Makefile
  head/textproc/luceneplusplus/Makefile
  head/textproc/randlm/Makefile
  head/textproc/source-highlight/Makefile
  head/textproc/xmlwrapp/Makefile
  head/www/anyterm/Makefile
  head/www/domoticz/Makefile
  head/www/kdewebdev4/Makefile
  head/www/nghttp2/Makefile
  head/www/wt/Makefile
  head/x11/kde4-workspace/Makefile
  head/x11/kf5-kactivities/Makefile
  head/x11/leechcraft/Makefile
  head/x11-toolkits/flowcanvas/Makefile